Amazon Linux AMI 2017.09 现已推出

阅读数:50 2019 年 10 月 11 日 11:10

Amazon Linux AMI 2017.09 现已推出

Amazon Linux AMI 2017.09 现已推出
我很高兴地宣布,Amazon Linux AMI 的最新版本 (2017.09) 现可供所有 AWS 区域中当前一代的所有 EC2 实例使用。此 AMI 包含受支持和维护的 Linux 映像,该映象旨在为 EC2 上运行的应用程序提供稳定、安全和高性能的环境。

易于升级
只需运行以下两条命令然后重启,就可将现有实例升级:

复制代码
$ sudo yum clean all
$ sudo yum update

好处多多
此 AMI 包含许多新功能,其中有很多都是应客户要求而添加的。总结如下:

Kernel 4.9.51 – 此内核以 4.9 稳定内核系列为基础,包括 ENA 1.3.0 驱动程序,还支持 TCP 瓶颈带宽和 RTT (BBR)。请阅读我的文章 Elastic Network Adapter – Amazon EC2 高性能网络接口,了解有关 ENA 的更多内容。要了解如何启用 BBR,请阅读发行说明。

Amazon SSM 代理 – Amazon SSM 代理现已默认安装。也就是说,现在您可以使用 EC2 Run Command 在您的实例上配置并运行脚本,而无需进行其他设置。要了解更多内容,请阅读使用 Systems Manager Run Command 执行命令或使用 EC2 Run Command 在不使用 SSH 访问的情况下大规模地管理实例。

Python 3.6 – 现已包含 Python 最新版本,还可通过 virtualenv 和 alternatives 进行管理。您可以使用如下方法安装 Python 3.6:

复制代码
$ sudo yum install python36 python36-virtualenv python36-pip

Ruby 2.4 – 现已提供 Ruby 2.4 系列最新版本。安装方法如下:

复制代码
$ sudo yum install ruby24

OpenSSL – 此 AMI 目前使用 OpenSSL 1.0.2k。

HTTP/2 – 此 AMI 的 httpd24、nginx 和 curl 程序包现已支持 HTTP/2 协议。

关系数据库 – 现已推出 Postgres 9.6 和 MySQL 5.7,安装方法如下:

复制代码
$ sudo yum install postgresql96
$ sudo yum install mysql57

OpenMPI – OpenMPI 程序包现已由 1.6.4 升级到 2.1.1。已推出 OpenMPI 兼容包,可用于构建及运行较旧的 OpenMPI 应用程序。

更多 – 更新的其他程序包包括 Squid 3.5、Nginx 1.12、Tomcat 8.5 和 GCC 6.4。

立即启动
您现在就可以使用此 AMI 在所有 AWS 区域启动 EC2 实例。它适用于由 EBS 提供支持的实例和由实例存储提供支持的实例,还支持 HVM 和 PV 模式。

本文转载自 AWS 技术博客。

原文链接:
https://amazonaws-china.com/cn/blogs/china/now-available-amazon-linux-ami-2017-09-2/

欲了解 AWS 的更多信息,请访问【AWS 技术专区】

评论

发布